(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./LifeUpdater.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadLifeUpdater = loadLifeUpdater;
    const engine_1 = require("@tsparticles/engine");
    const LifeUpdater_js_1 = require("./LifeUpdater.js");
    async function loadLifeUpdater(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addParticleUpdater("life", async (container) => {
            return Promise.resolve(new LifeUpdater_js_1.LifeUpdater(container));
        }, refresh);
    }
});
